Airflow Summit 2021 is coming July 8-16. Register now!

apache-airflow-providers-cncf-kubernetes

Package apache-airflow-providers-cncf-kubernetes

Kubernetes

Release: 2.0.1

Provider package

This is a provider package for cncf.kubernetes provider. All classes for this provider package are in airflow.providers.cncf.kubernetes python package.

Installation

You can install this package on top of an existing airflow 2.1+ installation via pip install apache-airflow-providers-cncf-kubernetes

PIP requirements

PIP package

Version required

apache-airflow

>=2.1.0

cryptography

>=2.0.0

kubernetes

>=3.0.0, <12.0.0

Changelog

2.0.1

Features

  • Enable using custom pod launcher in Kubernetes Pod Operator (#16945)

Bug Fixes

  • Fixed wrongly escaped characters in amazon&#39;s changelog (#17020)

  • BugFix: Using &#39;json&#39; string in template_field causes issue with K8s Operators (#16930)

2.0.0

Breaking changes

  • Auto-apply apply_default decorator (#15667)

Warning

Due to apply_default decorator removal, this version of the provider requires Airflow 2.1.0+. If your Airflow version is < 2.1.0, and you want to install this provider version, first upgrade Airflow to at least version 2.1.0. Otherwise your Airflow package version will be upgraded automatically and you will have to manually run airflow upgrade db to complete the migration.

Features

  • Add 'KubernetesPodOperat' 'pod-template-file' jinja template support (#15942)

  • Save pod name to xcom for KubernetesPodOperator (#15755)

Bug Fixes

  • Bug Fix Pod-Template Affinity Ignored due to empty Affinity K8S Object (#15787)

  • Bug Pod Template File Values Ignored (#16095)

  • Fix issue with parsing error logs in the KPO (#15638)

  • Fix unsuccessful KubernetesPod final_state call when &#39;is_delete_operator_pod=True&#39; (#15490)

1.2.0

Features

  • Require 'name' with KubernetesPodOperator (#15373)

  • Change KPO node_selectors warning to proper deprecationwarning (#15507)

Bug Fixes

  • Fix timeout when using XCom with KubernetesPodOperator (#15388)

  • Fix labels on the pod created by ''KubernetsPodOperator'' (#15492)

1.1.0

Features

  • Separate Kubernetes pod_launcher from core airflow (#15165)

  • Add ability to specify api group and version for Spark operators (#14898)

  • Use libyaml C library when available. (#14577)

1.0.2

Bug fixes

  • Allow pod name override in KubernetesPodOperator if pod_template is used. (#14186)

  • Allow users of the KPO to *actually* template environment variables (#14083)

1.0.1

Updated documentation and readme files.

Bug fixes

  • Pass image_pull_policy in KubernetesPodOperator correctly (#13289)

1.0.0

Initial version of the provider.

Was this entry helpful?